oracle.jdbc

## Interface OracleOCIFailover

    public interface OracleOCIFailover

An interface for Transparent Application failover.

### Field Summary

Fields
`static int` `FO_ABORT`
`static int` `FO_BEGIN`
`static int` `FO_END`
`static int` `FO_ERROR`
`static int` `FO_EVENT_UNKNOWN`
`static int` `FO_NONE`
`static int` `FO_REAUTH`
`static int` `FO_RETRY`
`static int` `FO_SELECT`
`static int` `FO_SESSION`
`static int` `FO_TYPE_UNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `callbackFn(Connection conn, Object ctxt, int type, int event)`

### Field Detail

#### FO_SESSION

    static final int FO_SESSION

See Also:
  Constant Field Values

#### FO_SELECT

    static final int FO_SELECT

See Also:
  Constant Field Values

#### FO_NONE

    static final int FO_NONE

See Also:
  Constant Field Values

#### FO_TYPE_UNKNOWN

    static final int FO_TYPE_UNKNOWN

See Also:
  Constant Field Values

#### FO_BEGIN

    static final int FO_BEGIN

See Also:
  Constant Field Values

#### FO_END

    static final int FO_END

See Also:
  Constant Field Values

#### FO_ABORT

    static final int FO_ABORT

See Also:
  Constant Field Values

#### FO_REAUTH

    static final int FO_REAUTH

See Also:
  Constant Field Values

#### FO_ERROR

    static final int FO_ERROR

See Also:
  Constant Field Values

#### FO_RETRY

    static final int FO_RETRY

See Also:
  Constant Field Values

#### FO_EVENT_UNKNOWN

    static final int FO_EVENT_UNKNOWN

See Also:
  Constant Field Values

### Method Detail

#### callbackFn

    int callbackFn(Connection conn,
                   Object ctxt,
                   int type,
                   int event)

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.